Ticket #178 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

file-4.23.tar.gz source, 4.24, and 4.25

Reported by: kb0iic Owned by: clfs-commits@…
Priority: major Milestone: CLFS Standard 1.2.0
Component: BOOK Version: CLFS Standard GIT
Keywords: Cc:

Description

Howdy everybody,

Well, file-4.23 hasn't been around for a while on the astron ftp server, and the download link is broke cause of that.

The current location to download file has 4.24 and 4.25. We can either change to another download location, or just upgrade file to 4.24 or 4.25.

The ChangeLog? in 4.25 shows the following chances since 4.23 (bottom up):

End of 4.25 Release Changes

2008-07-02 11:15 Christos Zoulas <christos@…>

  • add !:strength op to adjust magic strength (experimental)

2008-06-16 21:41 Reuben Thomas <rrt@…>

  • Fix automake error in configure.ac.
  • Add MIME type for Psion Sketch files.

2008-06-05 08:59 Christos Zoulas <christos@…>

  • Don't print warnings about bad namesize in stripped binaries with PT_NOTE is still there, and the actual note is gone (Jakub Jelinek)

2008-05-28 15:12 Robert Byrnes <byrnes@…>

  • magic/Magdir/elf: Note invalid byte order for little-endian SPARC32PLUS. Add SPARC V9 vendor extensions and memory model.
  • src/elfclass.h: Pass target machine to doshn (for Solaris hardware capabilities).
  • src/readelf.c (doshn): Add support for Solaris hardware/software capabilities.
  • src/readelf.h: Ditto.
  • src/vasprintf.c (dispatch): Add support for ll modifier.

2008-05-16 10:25 Christos Zoulas <christos@…>

  • Fix compiler warnings.
  • remove stray printf, and fix a vprintf bug. (Martin Dorey)

2008-05-06 00:13 Robert Byrnes <byrnes@…>

  • src/Makefile.am: Ensure that getopt_long and [v]asprintf are included in libmagic, as needed.

Remove unnecessary EXTRA_DIST.

  • src/Makefile.in: Rerun automake.
  • src/vasprintf.c (dispatch): Fix variable precision bug: be sure to step past '*'.
  • src/vasprintf.c (core): Remove unreachable code.
  • src/apprentice.c (set_test_type): Add cast to avoid compiler warning.

2008-04-22 23:45 Christos Zoulas <christos@…>

  • Add magic submission guidelines (Abel Cheung)
  • split msdos and windows magic (Abel Cheung)

2008-04-04 11:00 Christos Zoulas <christos@…>

  • >= <= is not supported, so fix the magic and warn about it. reported by: Thien-Thi Nguyen <ttn@…>
Begin 4.25 Release Changes
End of 4.24 Release Changes

2008-03-27 16:16 Robert Byrnes <byrnes@…>

  • src/readelf.c (donote): ELF core file command name/line bug fixes and enhancements:

Try larger offsets first to avoid false matches from earlier data that happen to look like strings; this primarily affected SunOS 5.x 32-bit Intel core files.

Add support for command line (instead of just short name) for SunOS 5.x.

Add information about NT_PSINFO for SunOS 5.x.

Only trim whitespace from end of command line.

2007-02-11 01:36 Reuben Thomas <rrt@…>

  • Change strength of ! from MULT to 0, as it matches almost

anything (Reuben Thomas)

  • Debian fixes (Reuben Thomas)

2007-02-11 00:17 Reuben Thomas <rrt@…>

  • Clarify UTF-8 BOM message (Reuben Thomas)
  • Add HTML comment to token list in names.h

2007-02-04 15:50 Christos Zoulas <christos@…>

  • Debian fixes (Reuben Thomas)

2007-02-04 11:31 Christos Zoulas <christos@…>

  • !:mime annotations in magic files (Reuben Thomas)

2007-01-29 15:35 Christos Zoulas <christos@…>

  • zero out utime/utimes structs (Gavin Atkinson)

2007-01-26 13:45 Christos Zoulas <christos@…>

  • reduce writable data from Diego "Flameeyes" Petten=
Begin 4.24 Release Changes

I can do a few builds with 4.25 and give results, and am doing this weekend.

-William

Change History

comment:1 Changed 6 years ago by jciccone

For 1.1.0 I would like to stick with 4.23.

In trunk I have no problem with upgrading it.

comment:2 Changed 6 years ago by kb0iic

Right Joe,

Why I put it for svn and milestone 1.2.0 :) So far I haven't ran into anything weird. Gonna have a file-4.25 torture coming up soon. Where I just use file on a crapload of stuff! Hmm, that might work.

comment:3 Changed 6 years ago by jciccone

I know we changed the download location to the clfs server a while back, Time to do it again I guess.

comment:4 Changed 6 years ago by jciccone

  • Status changed from new to closed
  • Resolution set to fixed

Updated the download location to use the clfs server in r4001 for both the 1.1 branch and trunk.

Note: See TracTickets for help on using tickets.